/**
 * Copyright (C) 2017-2020 Linagora
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

@mixin custom-shared-theme($theme) {
  $primary: map-get($theme, primary);
  $accent: map-get($theme, accent);

  .icon-primary {
    color: mat-color($primary, 600);
  }

  .highlight {
    background-color: mat-color($accent, 500);
  }

  mat-sidenav-container > mat-sidenav.mat-drawer-side {
    border-right-color: mat-color($mat-grey, 300);
  }

  // all items elements in petals tree
  app-material-tree > .nav-list-tree > .item-list {
    .item-localpart,
    .item-name {
      .mat-list-item-content:hover {
        background-color: mat-color($primary, 50);
      }
    }

    // customize active elements
    .active-link,
    .active-link:hover {
      .mat-list-item-content {
        background-color: mat-color($primary, 50);
        border-left-color: mat-color($primary, 600);
        color: mat-color($primary, 600);
        &:hover {
          color: mat-color($primary, 800);
        }
      }
    }

    .item-namespace:hover,
    .item-namespace:focus {
      background: none;
    }
  }

  // all items elements in petals tree ref
  // TODO: Remove above classes when mat-tree fully integrated
  mat-tree {
    .tree-category-name {
      color: mat-color($primary, 600);
    }

    .selected-element,
    mat-tree-node:hover {
      background-color: mat-color($primary, 50);

      button,
      span,
      mat-icon {
        color: mat-color($primary, 600);
      }
    }
  }

  // use in all administration component
  .user-management-page > .user-management-panels {
    .pnl-add-user
      > mat-expansion-panel
      > mat-expansion-panel-header.mat-expanded,
    .pnl-list-users
      > .mat-accordion
      > mat-expansion-panel
      > mat-expansion-panel-header.mat-expanded {
      background-color: mat-color($accent, 500);
    }
  }

  // use for all services trees component
  app-services-menu-view > .services-menu-view > .pnl-services-trees {
    .mat-accordion > mat-expansion-panel > mat-expansion-panel-header {
      color: mat-color($mat-grey, 900);
      background-color: mat-color($mat-grey, 50);
      &:hover {
        color: mat-color($primary, 700);
        background-color: mat-color($mat-grey, 200);
      }
    }
    .mat-accordion
      > mat-expansion-panel
      > mat-expansion-panel-header.mat-expanded {
      color: mat-color($primary, 700);
      background-color: mat-color($mat-grey, 200);
    }
  }
}
